/* CSS Document */

/* Global
---------------------------------------------------------------------------- */

.site-container {
	overflow: hidden;
}

main.content > article {
	margin: 0;
}

.section {
	clear: both;
	position: relative;
}

.wp-block-group.alignfull > div {
	margin-inline: auto;
	max-width: 84%;
}

.site-container .wp-block-button .wp-block-button__link,
.site-container .wp-block-button.is-style-outline .wp-block-button__link,
div.gform_wrapper input[type="submit"],
div.gform_wrapper button.submit {
	transition: all .2s ease-in-out;
}

.site-container .wp-block-button .wp-block-button__link,
div.gform_wrapper input[type="submit"],
div.gform_wrapper button.submit {
	padding: 9px 36px;
	position: relative;
}

div.gform_wrapper input[type="submit"],
div.gform_wrapper button.submit {
	background-color: #FB8A0F;
	border-radius: 5px;
	color: #fff;
	font-size: 18px;
	line-height: 1.33;
	padding: 11px 36px;
}

.site-container .wp-block-button.is-style-outline .wp-block-button__link {
	padding: 7px 36px;
}

.site-container .wp-block-button .wp-block-button__link:focus,
.site-container .wp-block-button .wp-block-button__link:hover,
.site-container .wp-block-button.is-style-outline .wp-block-button__link:focus,
.site-container .wp-block-button.is-style-outline .wp-block-button__link:hover,
div.gform_wrapper input[type="submit"]:focus,
div.gform_wrapper input[type="submit"]:hover,
div.gform_wrapper button.submit:focus,
div.gform_wrapper button.submit:hover {
	padding-left: 29px;
	padding-right: 43px;
}

.site-container .wp-block-button .wp-block-button__link::after,
div.gform_wrapper input[type="submit"]::after,
div.gform_wrapper button.submit::after {
	content: '\f061';
	display: inline-block;
	font-family: 'fontawesome';
	font-size: 14px;
	margin-left: 3px;
	opacity: 0;
	pointer-events: none;
	position: relative;
	right: 15px;
	top: -1px;
	transition: all .2s ease-in-out;
	width: 0;
}

.site-container .wp-block-button .wp-block-button__link:focus::after,
.site-container .wp-block-button .wp-block-button__link:hover::after,
div.gform_wrapper input[type="submit"]:focus::after,
div.gform_wrapper input[type="submit"]:hover::after,
div.gform_wrapper button.submit:focus::after,
div.gform_wrapper button.submit:hover::after {
	opacity: 1;
	right: 0;
}


/* Subscribe (Header)
---------------------------------------------------------------------------- */

.subscribe p {
	margin: 0;
}


/* Introduction
---------------------------------------------------------------------------- */

.introduction::before {
	background: url("../images/vintage-concrete-bw.webp") repeat center top;
	content: '';
	display: block;
	height: 100%;
	left: 0;
	mix-blend-mode: multiply;
	opacity: 1;
	pointer-events: none;
	position: absolute;
	top: 0;
	width: 100%;
	z-index: 1;
}

.introduction > * {
	position: relative;
	z-index: 2;
}

.introduction .gb-layout-columns-2>.gb-layout-column-wrap {
	grid-template-columns: .62fr .38fr;
}

.introduction h2.author {
	margin-top: -15px;
}

.introduction .wp-block-image.book-cover img {
	border-radius: 5px;
	box-shadow: 10px 10px 20px rgba(0,0,0,0.19);
	transform: rotate(7deg);
}


/* Author
---------------------------------------------------------------------------- */

.quote-author .gb-layout-column-wrap {
	grid-gap: 0 6em;
}

.quote-author .gb-block-layout-column,
.quote-author .gb-block-layout-column-inner {
	align-content: center;
	height: 100%;
	overflow: hidden;
}

.quote-author .author {
	left: 0;
	position: absolute;
	top: 0;
	width: 50vw;
}

.quote-author .author > div::before {
	background: url("../images/waves-overlay.webp") no-repeat center;
	background-size: cover;
	content: '';
	display: block;
	height: 100%;
	left: 0;
	mix-blend-mode: overlay;
	opacity: .5;
	pointer-events: none;
	position: absolute;
	top: 0;
	width: 100%;
	z-index: 0;
}

.quote-author .author .wp-block-image {
	margin-inline: auto;
	max-width: 90%;
	position: relative;
	z-index: 2;
}

.quote-author .author .wp-block-image figure {
	position: relative;
}

.quote-author .author .wp-block-image figure::before {
	aspect-ratio: 1/1;
	border: 15px solid #fff;
	border-radius: 100%;
	bottom: 0;
	content: '';
	display: block;
	height: auto;
	left: 0;
	opacity: .25;
	pointer-events: none;
	position: absolute;
	transform-origin: 0 0;
	transform: scale(105%);
	width: 100%;
	z-index: 0;
}

.quote-author .author .wp-block-image img {
	position: relative;
}

.quote-author .quote p:last-of-type {
	margin: 0;
}


/* Reviews
---------------------------------------------------------------------------- */

.reviews .wp-block-media-text__content {
	padding: 0;
	position: relative;
	z-index: 1;
}

.reviews .quote {
	position: relative;
}

.reviews .quote::before {
	content: '\201C';
	font-size: 24px;
	font-weight: 600;
	left: -10px;
	position: absolute;
	top: -8px;
}

.reviews .quote p {
	margin-bottom: 16px;
}

.reviews .quote p:last-child {
	margin: 0;
	padding-left: 23px;
	position: relative;
}

.reviews .quote p:last-child::before {
	content: '— ';
	left: 0;
	position: absolute;
	top: 0;
}

.reviews .wp-block-media-text.is-image-fill-element>.wp-block-media-text__media {
	position: relative;
}

.reviews .wp-block-media-text.is-image-fill-element>.wp-block-media-text__media img {
	left: calc(50% + 25%);
	position: absolute;
	transform: translateX(-50%);
	width: auto;
	z-index: 0;
}


/* Download
---------------------------------------------------------------------------- */

.download .gb-block-layout-column,
.download .gb-block-layout-column-inner {
	align-content: center;
	height: 100%;
	overflow: hidden;
}

.download .mark {
	position: absolute;
	right: 0;
	top: 0;
	width: 50vw;
}

.download .mark > div::before {
	background: url("../images/waves-overlay-alt.webp") no-repeat center;
	background-size: cover;
	content: '';
	display: block;
	height: 100%;
	left: 0;
	mix-blend-mode: overlay;
	opacity: .5;
	pointer-events: none;
	position: absolute;
	top: 0;
	width: 100%;
	z-index: 0;
}

.download .mark .wp-block-image {
	margin-bottom: 0;
	margin-inline: auto;
	max-width: 90%;
	position: relative;
	z-index: 2;
}

.download .mark .wp-block-image figure {
	position: relative;
}

.download .mark .wp-block-image figure::before {
	aspect-ratio: 1/1;
	border: 10px solid #f1cd47;
	border-radius: 100%;
	bottom: 0;
	content: '';
	display: block;
	height: auto;
	left: 0;
	mix-blend-mode: soft-light;
	opacity: .5;
	pointer-events: none;
	position: absolute;
	transform-origin: 55% 37%;
	transform: scale(155%);
	width: 100%;
	z-index: 0;
}

.download .mark .wp-block-image img {
	position: relative;
}


/* Contact
---------------------------------------------------------------------------- */

.contact p {
	margin: 0;
}

.contact p a {
	text-decoration: none;
}

.contact p a:focus,
.contact p a:hover {
	color: #e18926;
}

.contact .wp-block-social-links {
	margin-top: 40px;
}

.contact .gform-theme--foundation .gform_fields {
	row-gap: 15px;
}

.contact .gform-theme--framework .gform-field-label {
	margin-bottom: 3px;
}

.contact div.gform_wrapper .gfield_required {
	color: #fff;
	font-size: 16px;
}

.contact div.gform_wrapper .gform_footer {
	justify-content: flex-end;
}

.contact div.gform_wrapper div.gform_footer input[type="submit"] {
	border: 1px solid #fff !important;
	border-radius: 24px !important;
	padding: 6px 30px !important;
	transition: all .2s ease-in-out;
}

.contact div.gform_wrapper div.gform_footer input[type="submit"]:focus,
.contact div.gform_wrapper div.gform_footer input[type="submit"]:hover {
	border-color: #e18926 !important;
	background-color: #e18926 !important;
}


/* Site Footer
---------------------------------------------------------------------------- */

.site-footer {
	background-color: #333;
	border-top: none;
	color: #fff;
	font-size: 16px;
	padding: 0;
	text-align: center;
}

.site-footer > .wrap {
	border-top: 1px solid rgba(255,255,255,.25);
	display: flex;
	gap: 10px 20px;
	flex-wrap: nowrap;
	justify-content: center;
	margin-inline: auto;
	max-width: 90%;
	padding: 20px 0;
}

.site-footer > .wrap > div {
	flex: 0 1 auto;
	line-height: 1.25;
	position: relative;
}

.site-footer > .wrap > div::after {
	background-color: rgba(255,255,255,0.25);
	content: '';
	display: inline-block;
	height: 100%;
	position: absolute;
	right: -10px;
	top: 50%;
	transform: translateY(-50%);
	width: 1px;
}

.site-footer > .wrap > div:last-of-type::after {
	display: none;
}

.site-footer a {
	color: #fff;
	text-decoration: none;
}

.site-footer a:focus,
.site-footer a:hover {
	color: #e18926;
}

.site-footer span.divider {
	background-color: rgba(255,255,255,.25);
	display: inline-block;
	height: 100%;
	padding: 0 10px;
	width: 2px;
}


/* Media Queries
---------------------------------------------------------------------------- */

@media only screen and (min-width: 768px) {
	
	.quote-author .gb-layout-columns-2>.gb-layout-column-wrap {
		grid-template-columns: calc(50% - 6em) calc(50% + 6em);
	}
	
	.quote-author .quote .gb-block-layout-column-inner {
		padding-bottom: 30px;
	}
	
	.download .gb-layout-columns-2>.gb-layout-column-wrap {
		grid-template-columns: 50% 1fr;
	}
	
}

@media only screen and (min-width: 1024px) {

	.wp-block-group.alignfull > div,
	.site-footer > .wrap {
		max-width: 960px;
	}
	
}

@media only screen and (min-width: 1240px) {

	.wp-block-group.alignfull > div,
	.site-footer > .wrap {
		max-width: 1170px;
	}
	
}

@media only screen and (max-width: 767px) {
	
	.introduction {
		text-align: center;
	}
	
	.introduction .gb-layout-columns-2>.gb-layout-column-wrap,
	.quote-author .gb-layout-columns-2>.gb-layout-column-wrap,
	.download .gb-layout-columns-2>.gb-layout-column-wrap {
		grid-template-areas: "col1" "col2";
		grid-template-columns: 100%;
	}
	
	.download .gb-layout-columns-2>.gb-layout-column-wrap {
		grid-template-areas: "col2" "col1";
	}
	
	.introduction .wp-block-buttons.is-layout-flex {
		justify-content: center;
	}
	
	.introduction .wp-block-image.book-cover {
		margin-inline: auto;
		margin-top: 60px;
		max-width: 80%;
		width: 350px;
	}
	
	.quote-author .author,
	.download .mark {
		left: 50%;
		position: relative;
		top: auto;
		transform: translateX(-50%);
		width: 100vw;
	}
	
	.quote-author .author .gb-block-layout-column-inner {
		padding: 60px 0;
	}
	
	.reviews .wp-block-media-text.has-media-on-the-right {
		grid-template-columns: 100%;
	}
	
	.reviews .wp-block-media-text.is-stacked-on-mobile>.wp-block-media-text__content {
		grid-row: 1;
	}
	
	.reviews .wp-block-media-text.has-media-on-the-right>.wp-block-media-text__media {
		grid-column: 1;
		grid-row: 2;
		height: 100vw;
		margin-top: -100px;
	}
	
	.reviews .wp-block-media-text.is-image-fill-element>.wp-block-media-text__media img {
		left: calc(50% + 3%);
	}
	
	.download .mark .gb-block-layout-column-inner {
		padding: 120px 0;
	}
	
}

@media only screen and (max-width: 500px) {
	
	.introduction .wp-block-buttons.is-layout-flex .wp-block-button,
	.introduction .wp-block-buttons.is-layout-flex .wp-block-button a {
		display: block;
		width: 100%;
	}
	
	.site-footer > .wrap {
		flex-wrap: wrap;
	}
	
	.site-footer > .wrap > div {
		flex-basis: 100%;
	}
	
	.site-footer > .wrap > div::after {
		display: none;
	}
	
}